package com.fp.persistence.parmas.dto.ws;

import java.io.Serializable;
import java.util.Date;

/**
 * Contiene datos de los documentos habilitantes
 * @author dcruz
 *
 */
public class DocumentoDto implements Serializable {

	private static final long serialVersionUID = -955491058987586481L;
	/**
	 * C&oacute;digo del documento
	 */
	private Long codigoDocumento;
	/**
	 * N&uacute;mero del documento
	 */
	private String numeroDocumento;
	/**
	 * Fecha en la que emiti&oacute; el documento
	 */
	private Date fechaEmision;
	/**
	 * Fecha de expiraci&oacute;n del documento
	 */
	private Date fechaExpiracion;
	/**
	 * N&uacute;mero de solicitud
	 */
	private String numeroSolicitud;
	/**
	 * C&oacute;digo del arma enlazado con el documento habilitante si es que existe
	 */
	private String carma;
	/**
	 * El tipo de tr&aacute;mite por el que fue expedido el documento
	 */
	private String tipoTramite;
	/**
	 * El tr&aacute;mite por el que fue expedido el documento
	 */
	private String tramite;
	/**
	 * La categor&iacute;a por el que fue expedido el documento
	 */
	private String categoria;
	/**
	 * El uso/actividad por el que fue expedido el documento
	 */
	private String usoActividad;
	/**
	 * Estado en el que se encuentra la solicitud
	 */
	private String estadoTramite;
	
	/**
	 * Bandera que determina si muestra la fecha de expiracion o la descripcion.
	 */
	private String esFechaExpiracion;
	
	/**
	 * Descripcion del documento se utiliza para 
	 * mostrar un texto en caso que no se muestre la fecha de expiracion.
	 */
	private String descripcion;
	
	/**
	 * Descripcion1 del documento se utiliza para 
	 * mostrar el texto de la jurisdiccion(Ecuador, Canton, Parroquia, Provincia).
	 * Se concatena descripcion1+descripcion2
	 */
	private String descripcion1;
	
	/**
	 * Descripcion2 del documento se utiliza para 
	 * mostrar el texto del pie del tramite.
	 * Se concatena descripcion1+descripcion2
	 */
	private String descripcion2;
	
	public Long getCodigoDocumento() {
		return codigoDocumento;
	}
	public void setCodigoDocumento(Long codigoDocumento) {
		this.codigoDocumento = codigoDocumento;
	}
	public String getNumeroDocumento() {
		return numeroDocumento;
	}
	public void setNumeroDocumento(String numeroDocumento) {
		this.numeroDocumento = numeroDocumento;
	}
	public Date getFechaEmision() {
		return fechaEmision;
	}
	public void setFechaEmision(Date fechaEmision) {
		this.fechaEmision = fechaEmision;
	}
	public Date getFechaExpiracion() {
		return fechaExpiracion;
	}
	public void setFechaExpiracion(Date fechaExpiracion) {
		this.fechaExpiracion = fechaExpiracion;
	}
	public String getNumeroSolicitud() {
		return numeroSolicitud;
	}
	public void setNumeroSolicitud(String numeroSolicitud) {
		this.numeroSolicitud = numeroSolicitud;
	}
	public String getCarma() {
		return carma;
	}
	public void setCarma(String carma) {
		this.carma = carma;
	}
	public String getTipoTramite() {
		return tipoTramite;
	}
	public void setTipoTramite(String tipoTramite) {
		this.tipoTramite = tipoTramite;
	}
	public String getTramite() {
		return tramite;
	}
	public void setTramite(String tramite) {
		this.tramite = tramite;
	}
	public String getCategoria() {
		return categoria;
	}
	public void setCategoria(String categoria) {
		this.categoria = categoria;
	}
	public String getUsoActividad() {
		return usoActividad;
	}
	public void setUsoActividad(String usoActividad) {
		this.usoActividad = usoActividad;
	}
	public String getEstadoTramite() {
		return estadoTramite;
	}
	public void setEstadoTramite(String estadoTramite) {
		this.estadoTramite = estadoTramite;
	}
	public String getEsFechaExpiracion() {
		return esFechaExpiracion;
	}
	public void setEsFechaExpiracion(String esFechaExpiracion) {
		this.esFechaExpiracion = esFechaExpiracion;
	}
	public String getDescripcion() {
		return descripcion;
	}
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}
	public String getDescripcion1() {
		return descripcion1;
	}
	public void setDescripcion1(String descripcion1) {
		this.descripcion1 = descripcion1;
	}
	public String getDescripcion2() {
		return descripcion2;
	}
	public void setDescripcion2(String descripcion2) {
		this.descripcion2 = descripcion2;
	}

}
